## tellico 4.1

=== CMakeLists.txt ===
# FindPoppler requires CMake >= 3.16
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(Tellico)
set(TELLICO_VERSION "4.1")

if(DEFINED BUILD_WITH_QT6)
    set(GLOBAL_BUILD_WITH_QT6 ${BUILD_WITH_QT6})
endif()

find_package(ECM REQUIRED NO_MODULE)
# ECM uses the required version to determine whether to build with Qt6
# Instead, use the installed version and assume building with Qt6 unless
# BUILD_WITH_QT6=OFF was passed to cmake
if(NOT DEFINED GLOBAL_BUILD_WITH_QT6 AND
    ECM_VERSION VERSION_GREATER_EQUAL 5.240)
    option(BUILD_WITH_QT6 "Build against Qt 6" ON)
endif()

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

if(QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(CMAKE_CXX_STANDARD 20)
else()
    set(QT_MIN_VERSION "5.12.0")
    set(KF_MIN_VERSION "5.72.0")
    set(CMAKE_CXX_STANDARD 17)
endif()

# https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/Useful-Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
                      ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMUninstallTarget)
include(FeatureSummary)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

############# Options #################

option(BUILD_DOC           "Whether to build the documentation" TRUE)
option(ENABLE_CDTEXT       "Enable cdtext" TRUE)
option(ENABLE_WEBCAM       "Enable support for webcams" FALSE)
option(BUILD_FETCHER_TESTS "Build tests which verify data sources" FALSE)
option(USE_KHTML           "Build with KHTML rather than QWebEngine" FALSE)
option(ENABLE_BTPARSE      "Build with bibtex importing using btparse, whether internal or external" TRUE)

# btparse does not compile with msvc
if(ENABLE_BTPARSE AND MSVC)
    set(ENABLE_BTPARSE FALSE)
endif()

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Xml
    DBus
    Test
    Network
    PrintSupport
)

set(KF_MAJOR_VERSION ${QT_MAJOR_VERSION})
find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS
    Archive
    Codecs
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    GuiAddons
    IconThemes
    ItemModels
    I18n
    JobWidgets
    KIO
    Solid
    Sonnet
    TextWidgets
    WidgetsAddons
    XmlGui
)

if(NOT USE_KHTML)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS
        WebEngineWidgets
    )
    set_package_properties(Qt${QT_MAJOR_VERSION}WebEngineWidgets PROPERTIES
    DESCRIPTION "Building with QWebEngine is preferrable to KHTML"
    TYPE OPTIONAL)
endif()
if(USE_KHTML OR NOT Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND)
    set(USE_KHTML ON)
    find_package(KF${KF_MAJOR_VERSION}KHtml REQUIRED NO_MODULE)
    set_package_properties(KF${KF_MAJOR_VERSION}Html PROPERTIES
    DESCRIPTION "Building with QWebEngine is preferrable to KHTML")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS
    Charts
)

include(MacroBoolTo01)

find_package(Gettext REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

if(BUILD_DOC)
    find_package(KF${KF_MAJOR_VERSION}DocTools REQUIRED)
    set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED)
endif()

find_package(KF${KF_MAJOR_VERSION}FileMetaData)
set_package_properties(KF${KF_MAJOR_VERSION}FileMetaData PROPERTIES
    DESCRIPTION "Support for reading file metadata"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KF${KF_MAJOR_VERSION}NewStuff)
set_package_properties(KF${KF_MAJOR_VERSION}NewStuff PROPERTIES
    DESCRIPTION "Support for fetching new templates and scripts"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

if(KF_MAJOR_VERSION STREQUAL "5")
    set(KSANE_TARGET_NAME KF5::Sane)
    find_package(KF5Sane)
else()
    set(KSANE_TARGET_NAME KSaneWidgets6)
    find_package(KSaneWidgets6)
endif()
set_package_properties(KSANE_TARGET_NAME PROPERTIES
    DESCRIPTION "Support for adding scanned images to a collection"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

if(KF_MAJOR_VERSION STREQUAL "5")
    set(KCDDB_TARGET_NAME KF5::Cddb)
    find_package(KF5Cddb 5.1)
else()
    set(KCDDB_TARGET_NAME KCddb6)
    find_package(KCddb6 5.1)
endif()
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Support for CDDB searches"
    URL "https://invent.kde.org/multimedia/libkcddb"
    TYPE OPTIONAL)

find_package(Taglib)
if(TAGLIB_FOUND)
    if(TAGLIB_LIBRARIES)
        # Older taglib
        add_definitions(${TAGLIB_CFLAGS})
        include_directories(${TAGLIB_INCLUDES})
    else()
        set(TAGLIB_LIBRARIES Taglib::Taglib)
    endif()
endif()

find_package(Yaz 2.0)
set_package_properties(Yaz PROPERTIES
    DESCRIPTION "Support for searching z39.50 databases"
    URL "https://www.indexdata.com/resources/software/yaz/"
    TYPE OPTIONAL)
if(Yaz_FOUND)
    include_directories(${Yaz_INCLUDE_DIRS})
endif()

# FindPoppler is part of ECM >= 5.19
find_package(Poppler COMPONENTS Qt${QT_MAJOR_VERSION})

find_package(Exempi 2.0)
set_package_properties(Exempi PROPERTIES
    DESCRIPTION "Support for reading PDF/XMP metadata"
    URL "https://libopenraw.freedesktop.org/exempi/"
    TYPE OPTIONAL)
if(Exempi_FOUND)
    include_directories(${Exempi_INCLUDE_DIRS})
endif()

if(ENABLE_BTPARSE)
    find_package(Btparse)
    set_package_properties(Btparse PROPERTIES
        DESCRIPTION "External support for parsing and processing BibTeX data files"
        URL "https://metacpan.org/release/Text-BibTeX"
        TYPE OPTIONAL)
    if(Btparse_FOUND)
        include_directories(${Btparse_INCLUDE_DIRS})
        set(TELLICO_BTPARSE_LIBS ${Btparse_LIBRARIES})
    else()
        set(TELLICO_BTPARSE_LIBS btparse-tellico)
    endif()
endif()

find_package(CDIO)
set_package_properties(CDIO PROPERTIES
    DESCRIPTION "Support for reading cdtext from audio CDs"
    URL "https://www.gnu.org/software/libcdio/"
    TYPE OPTIONAL)
if(CDIO_FOUND)
    include_directories(${CDIO_INCLUDE_DIRS})
endif()

find_package(Csv 3.0)
set_package_properties(Csv PROPERTIES
    DESCRIPTION "External support for reading CSV files"
    URL "http://sourceforge.net/projects/libcsv/"
    TYPE OPTIONAL)
if(Csv_FOUND)
    include_directories(${Csv_INCLUDE_DIRS})
    set(TELLICO_CSV_LIBS ${Csv_LIBRARIES})
else()
    set(TELLICO_CSV_LIBS csv-tellico)
endif()

# webcam uses libv4l, which only works on Linux for now
# Linux 2.6.38 removed the videodev.h header
# libv4l 0.8.3 includes a compat header for videodev.h
if(ENABLE_WEBCAM)
    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
        message("WARNING: Webcam support is not available on your platform")
        set(ENABLE_WEBCAM FALSE)
    else()
        pkg_check_modules(LIBV4L libv4l1>=0.6)
        set_package_properties(LIBV4L PROPERTIES
            DESCRIPTION "Support for barcode scanning with a webcam"
            URL "https://hansdegoede.livejournal.com/3636.html"
            TYPE OPTIONAL)
        if(LIBV4L_FOUND)
            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
                set(ENABLE_WEBCAM FALSE)
            else()
                include_directories(${LIBV4L_INCLUDE_DIR})
            endif()
        else()
            set(ENABLE_WEBCAM FALSE)
        endif()
    endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -fno-check-new -Woverloaded-virtual")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated -Wno-deprecated-declarations")
endif()

add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER)
remove_definitions(-DQT_NO_STL)

include_directories(${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/config
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

set(TELLICO_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)

if(BUILD_DOC)
    add_subdirectory(doc)
endif()

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(Poppler_Qt${QT_MAJOR_VERSION}_FOUND HAVE_POPPLER)
macro_bool_to_01(Exempi_FOUND HAVE_EXEMPI)
macro_bool_to_01(Yaz_FOUND HAVE_YAZ)
macro_bool_to_01(${KSANE_TARGET_NAME}_FOUND HAVE_KSANE)
macro_bool_to_01(Libkcddb_FOUND HAVE_OLD_KCDDB)
macro_bool_to_01(${KCDDB_TARGET_NAME}_FOUND HAVE_KCDDB)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
macro_bool_to_01(KF${KF_MAJOR_VERSION}NewStuff_FOUND ENABLE_KNEWSTUFF3)
macro_bool_to_01(Btparse_FOUND HAVE_LIBBTPARSE)
macro_bool_to_01(CDIO_FOUND HAVE_CDIO)
macro_bool_to_01(Csv_FOUND HAVE_LIBCSV)
macro_bool_to_01(KF${KF_MAJOR_VERSION}FileMetaData_FOUND HAVE_KFILEMETADATA)
macro_bool_to_01(Qt${QT_MAJOR_VERSION}Charts_FOUND HAVE_QCHARTS)
macro_bool_to_01(ENABLE_BTPARSE ENABLE_BTPARSE)
macro_bool_to_01(BUILD_FETCHER_TESTS ENABLE_NETWORK_TESTS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(PROGRAMS org.kde.tellico.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES tellico.xml DESTINATION  ${KDE_INSTALL_MIMEDIR})
install(FILES org.kde.tellico.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

if(BUILD_DOC)
    # some translations require KF6, skip those when creating docs
    if(NOT KF_MAJOR_VERSION STREQUAL "5")
        kdoctools_install(po)
    else()
        # taken from kdoctools cmake macro
        file(GLOB lang_dirs "po/*")
        # remove the non-backwards compatible translations
        list(FILTER lang_dirs EXCLUDE REGEX "po/sl")
        if(NOT KDE_INSTALL_DOCBUNDLEDIR)
            if(HTML_INSTALL_DIR)
                set(KDE_INSTALL_DOCBUNDLEDIR ${HTML_INSTALL_DIR})
            else()
                set(KDE_INSTALL_DOCBUNDLEDIR share/doc/HTML)
            endif()
        endif()
        foreach(lang_dir ${lang_dirs})
            get_filename_component(lang ${lang_dir} NAME)

            file(GLOB_RECURSE docbooks RELATIVE "${lang_dir}" "${lang_dir}/docs/*.docbook")
            foreach(docbook ${docbooks})
                string(REGEX MATCH "^docs/(.*)/index.docbook" match ${docbook})
                if(match)
                    kdoctools_create_handbook("${lang_dir}/${docbook}"
                        INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/${lang}
                        SUBDIR ${CMAKE_MATCH_1}
                    )
                endif()
            endforeach()
        endforeach()
    endif()
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/utils/CMakeLists.txt ===
########### next target ###############

set(utils_STAT_SRCS
    bibtexhandler.cpp
    cursorsaver.cpp
    datafileregistry.cpp
    gradient.cpp
    guiproxy.cpp
    iso5426converter.cpp
    iso6937converter.cpp
    isbnvalidator.cpp
    lccnvalidator.cpp
    mergeconflictresolver.cpp
    string_utils.cpp
    tellico_utils.cpp
    upcvalidator.cpp
    urlfieldlogic.cpp
    xmlhandler.cpp
)

add_library(utils STATIC ${utils_STAT_SRCS})

target_link_libraries(utils
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Xml
    KF${KF_MAJOR_VERSION}::CoreAddons # for KRandom
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::Codecs
    KF${KF_MAJOR_VERSION}::KIOCore
)

=== debian/changelog ===
tellico (4.1-1ubuntu2) plucky; urgency=medium

  * Fix apparmor profile install.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2025 14:42:08 +0000

tellico (4.1-1ubuntu1) plucky; urgency=medium

  * Add back apparmor profile.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2025 14:10:08 +0000

tellico (4.1-1) unstable; urgency=medium

  * New upstream release.
  * CI: disable i386 build, not possible due to the QtWebEngine requirement.
  * Switch the kio build dependency to kio6; missed in the Qt 6 switch.
  * Switch the architecture back to any: the QtWebEngine requirement already
    limits on which architectures tellico can be built.
  * Stop exporting KDE_FORK_SLAVES in debian/rules, as that variable/mode is
    long gone from kio.
  * Update the patches:
    - tests-disable-fetchertest.diff: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 21:53:42 +0100

=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-python,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               extra-cmake-modules,
               gettext,
               kio6 <!nocheck>,
               libbtparse-dev,
               libcdio-dev,
               libcsv-dev,
               libexempi-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6codecs-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemmodels-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6sonnet-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkcddb6-dev,
               libksane-dev,
               libpoppler-qt6-dev [!i386],
               libtag-dev,
               libxml2-dev,
               libxslt1-dev,
               libyaz-dev,
               pkg-kde-tools,
               pkgconf,
               python3:any,
               qt6-base-dev (>= 6.4.0~),
               qt6-charts-dev (>= 6.4.0~),
               qt6-webengine-dev (>= 6.4.0~),
               tidy <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               yaz <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://tellico-project.org/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico

Package: tellico
Architecture: any
Depends: tellico-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Recommends: kio-extras, tellico-doc,
Suggests: apparmor
Description: Collection manager for books, videos, music, etc
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.

Package: tellico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Recommends: khelpcenter, tellico,
Description: Collection manager for books, videos, music, etc [doc]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the documentation.

Package: tellico-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: tellico,
Breaks: tellico-scripts (<< 4.0-2~),
Replaces: tellico-scripts (<< 4.0-2~),
Description: Collection manager for books, videos, music, etc [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
Description: transitional package for tellico-data
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 This is a transitional package for the move of the scripts to tellico-data,
 so it can be safely uninstalled.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf6,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-* && $(MAKE) install DESTDIR=$(CURDIR)/test_root
	mkdir -p "$(CURDIR)/test_root/tmp"
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel -- XDG_DATA_DIRS=$(CURDIR)/test_root/usr/share:/usr/local/share:/usr/share TMPDIR="$(CURDIR)/test_root/tmp"
endif

execute_after_dh_auto_install:
	# extra copyright notices
	rm -fv debian/tmp/usr/share/tellico/pics/README.*
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/tellico-apparmor debian/tmp/etc/apparmor.d/usr.bin.tellico
	dh_apparmor --profile-name=usr.bin.tellico -ptellico

override_dh_python3:
	dh_python3 -p tellico-data --shebang=/usr/bin/python3 /usr/share/tellico/data-sources

## tellico 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 project(Tellico)
-set(TELLICO_VERSION "4.1")
+set(TELLICO_VERSION "4.1.1")
 
 if(DEFINED BUILD_WITH_QT6)
     set(GLOBAL_BUILD_WITH_QT6 ${BUILD_WITH_QT6})
@@ -105,14 +105,14 @@
         WebEngineWidgets
     )
     set_package_properties(Qt${QT_MAJOR_VERSION}WebEngineWidgets PROPERTIES
-    DESCRIPTION "Building with QWebEngine is preferrable to KHTML"
+    DESCRIPTION "Building with QWebEngine is preferable to KHTML"
     TYPE OPTIONAL)
 endif()
 if(USE_KHTML OR NOT Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND)
     set(USE_KHTML ON)
     find_package(KF${KF_MAJOR_VERSION}KHtml REQUIRED NO_MODULE)
     set_package_properties(KF${KF_MAJOR_VERSION}Html PROPERTIES
-    DESCRIPTION "Building with QWebEngine is preferrable to KHTML")
+    DESCRIPTION "Building with QWebEngine is preferable to KHTML")
 endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS

=== src/cite/CMakeLists.txt ===
set(cite_STAT_SRCS
    lyxpipe.cpp
    actionmanager.cpp
    clipboard.cpp
)

add_library(cite STATIC ${cite_STAT_SRCS})

target_link_libraries(cite
    core
    utils
    config
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Widgets
)

add_dependencies(cite tellico_config)

=== src/tests/CMakeLists.txt ===
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
include_directories(${Tellico_BINARY_DIR}/src)

ecm_add_test(entitytest.cpp ../fieldformat.cpp
    TEST_NAME entitytest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils config
)

ecm_add_test(comparisontest.cpp
    TEST_NAME comparisontest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test tellicotest tellicomodels
)

ecm_add_test(completiontest.cpp ../fieldcompletion.cpp ../field.cpp ../fieldformat.cpp
    TEST_NAME completiontest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF${KF_MAJOR_VERSION}::Completion utils config
)

ecm_add_test(cuecattest.cpp
    TEST_NAME cuecattest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils
)

ecm_add_test(isbntest.cpp
    TEST_NAME isbntest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils
)

ecm_add_test(lccntest.cpp
    TEST_NAME lccntest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils
)

ecm_add_test(lcctest.cpp ../field.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME lcctest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test tellicomodels
)

ecm_add_test(formattest.cpp ../fieldformat.cpp
    TEST_NAME formattest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test config
)

ecm_add_test(fieldtest.cpp ../field.cpp ../fieldformat.cpp
    TEST_NAME fieldtest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test config utils
)

ecm_add_test(imagetest.cpp
    ../utils/tellico_utils.cpp
    ../utils/guiproxy.cpp
    ../utils/cursorsaver.cpp
    ../fieldformat.cpp
    ../tellico_debug.cpp
    TEST_NAME imagetest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF${KF_MAJOR_VERSION}::Archive images
)

ecm_add_test(imagejobtest.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME imagejobtest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test  KF${KF_MAJOR_VERSION}::Archive images
)

ecm_add_test(iso6937test.cpp ../tellico_debug.cpp
    TEST_NAME iso6937test
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils
)

ecm_add_test(iso5426test.cpp ../tellico_debug.cpp
    TEST_NAME iso5426test
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test utils
)

ecm_add_test(newstufftest.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME newstufftest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test newstuff config
)

ecm_add_test(rtftest.cpp
    TEST_NAME rtftest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test rtf2html-tellico
)

set(tellicotest_SRCS
    ../collection.cpp
    ../entry.cpp
    ../entrygroup.cpp
    ../entrycomparison.cpp
    ../field.cpp
    ../fieldformat.cpp
    ../filter.cpp
    ../borrower.cpp
    ../collectionfactory.cpp
    ../derivedvalue.cpp
    ../progressmanager.cpp
    ../tellico_debug.cpp
)

add_library(tellicotest STATIC ${tellicotest_SRCS})
target_link_libraries(tellicotest
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::ConfigWidgets
)

add_dependencies(tellicotest tellico_config)

set(translatorstest_SRCS
    ../translators/tellicoimporter.cpp
    ../translators/xsltimporter.cpp
    ../translators/textimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    ../translators/tellicoxmlreader.cpp
    ../translators/tellico_xml.cpp
    ../translators/xmlstatehandler.cpp
    ../translators/xslthandler.cpp
)

add_library(translatorstest STATIC ${translatorstest_SRCS})
target_link_libraries(translatorstest
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Xml
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::KIOWidgets
    KF${KF_MAJOR_VERSION}::ConfigWidgets
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBXSLT_EXSLT_LIBRARIES}
)

set(TELLICO_TEST_LIBS
    tellicotest
    collections
    utils
    images
    core
    tellicomodels
    Qt${QT_MAJOR_VERSION}::Test
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::Archive
)

ecm_add_test(collectiontest.cpp
    ../document.cpp
    ../utils/mergeconflictresolver.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME collectiontest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(commandtest.cpp
    ../commands/collectioncommand.cpp
    ../document.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME commandtest
    LINK_LIBRARIES translatorstest ${TELLICO_TEST_LIBS}
    # order of library linking here apparently matters
)

ecm_add_test(documenttest.cpp
    ../document.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME documenttest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(entrycomparisontest.cpp
    TEST_NAME entrycomparisontest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(filtertest.cpp
    ../filter.cpp
    ../filterparser.cpp
    TEST_NAME filtertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(tellicomodeltest.cpp
    modeltest.cpp
    ../document.cpp
    ../translators/tellicoimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../translators/tellicoxmlreader.cpp
    ../translators/tellico_xml.cpp
    ../translators/xmlstatehandler.cpp
    TEST_NAME tellicomodeltest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${LIBXML2_LIBRARIES}
)

######################################################

ecm_add_test(adstest.cpp
    ../translators/adsimporter.cpp
    ../translators/importer.cpp
    TEST_NAME adstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(alexandriatest.cpp
    ../translators/alexandriaimporter.cpp
    ../translators/importer.cpp
    ../translators/alexandriaexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME alexandriatest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(amctest.cpp
    ../translators/amcimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    TEST_NAME amctest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

if(TAGLIB_FOUND)
    ecm_add_test(audiofiletest.cpp
        ../translators/audiofileimporter.cpp
        ../translators/dataimporter.cpp
        ../translators/importer.cpp
        TEST_NAME audiofiletest
        LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${TAGLIB_LIBRARIES}
    )
endif()

ecm_add_test(bibtextest.cpp
    ../translators/bibteximporter.cpp
    ../translators/importer.cpp
    ../translators/bibtexexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME bibtextest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${TELLICO_BTPARSE_LIBS}
)

ecm_add_test(bibtexmltest.cpp
    ../translators/bibtexmlimporter.cpp
    ../translators/bibtexmlexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME bibtexmltest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest core
)

ecm_add_test(citetest.cpp
    ../collections/bibtexcollection.cpp
    ../core/filehandler.cpp
    TEST_NAME citetest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test cite tellicotest config images
)

ecm_add_test(ciwtest.cpp
    ../translators/ciwimporter.cpp
    ../translators/importer.cpp
    TEST_NAME ciwtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(collectorztest.cpp
    ../translators/collectorzimporter.cpp
    TEST_NAME collectorztest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(csvtest.cpp
    ../translators/csvparser.cpp
    ../translators/csvimporter.cpp
    ../translators/csvexporter.cpp
    ../translators/exporter.cpp
    ../gui/collectiontypecombo.cpp
    ../gui/combobox.cpp
    ../gui/listwidgetitem.cpp
    ../gui/stringmapwidget.cpp
    ../gui/stringmapdialog.cpp
    ../collectionfieldsdialog.cpp
    TEST_NAME csvtest
    LINK_LIBRARIES ${TELLICO_CSV_LIBS} ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(datacrowtest.cpp
    ../translators/datacrowimporter.cpp
    TEST_NAME datacrowtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(delicioustest.cpp
    ../translators/deliciousimporter.cpp
    TEST_NAME delicioustest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest rtf2html-tellico
)

ecm_add_test(discogstest.cpp
    ../translators/discogsimporter.cpp
    TEST_NAME discogstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(fieldwidgettest.cpp
    ../gui/boolfieldwidget.cpp
    ../gui/checkablecombobox.cpp
    ../gui/choicefieldwidget.cpp
    ../gui/datefieldwidget.cpp
    ../gui/datewidget.cpp
    ../gui/spinbox.cpp
    ../gui/linefieldwidget.cpp
    ../gui/lineedit.cpp
    ../gui/numberfieldwidget.cpp
    ../gui/parafieldwidget.cpp
    ../gui/ratingwidget.cpp
    ../gui/ratingfieldwidget.cpp
    ../gui/tablefieldwidget.cpp
    ../gui/urlfieldwidget.cpp
    ../gui/fieldwidget.cpp
    ../document.cpp
    ../fieldcompletion.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME fieldwidgettest
    LINK_LIBRARIES translatorstest
        ${TELLICO_TEST_LIBS}
        KF${KF_MAJOR_VERSION}::XmlGui
        KF${KF_MAJOR_VERSION}::SonnetCore
        KF${KF_MAJOR_VERSION}::SonnetUi
        KF${KF_MAJOR_VERSION}::TextWidgets
)

ecm_add_test(filelistingtest.cpp
    ../translators/filelistingimporter.cpp
    ../translators/filereader.cpp
    ../translators/filereaderbook.cpp
    ../translators/filereadervideo.cpp
    ../translators/xmphandler.cpp
    ../gui/collectiontypecombo.cpp
    ../gui/combobox.cpp
    TEST_NAME filelistingtest
    LINK_LIBRARIES translatorstest ${TELLICO_TEST_LIBS} KF${KF_MAJOR_VERSION}::Solid #order of libs here is important
)
if(KF${KF_MAJOR_VERSION}FileMetaData_FOUND)
    target_link_libraries(filelistingtest KF${KF_MAJOR_VERSION}::FileMetaData)
endif()
if(Exempi_FOUND)
    target_link_libraries(filelistingtest ${Exempi_LIBRARIES})
endif()

ecm_add_test(gcstartest.cpp
    ../translators/gcstarimporter.cpp
    ../translators/gcstarexporter.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../document.cpp
    TEST_NAME gcstartest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(goodreadstest.cpp
    ../translators/goodreadsimporter.cpp
    TEST_NAME goodreadstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(griffithtest.cpp
    ../translators/griffithimporter.cpp
    TEST_NAME griffithtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(htmlexportertest.cpp
    ../translators/htmlexporter.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../document.cpp
    ../../icons/icons.qrc
    TEST_NAME htmlexportertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(librarythingtest.cpp
    ../translators/librarythingimporter.cpp
    ../translators/importer.cpp
    TEST_NAME librarythingtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(marctest.cpp
    ../translators/marcimporter.cpp
    TEST_NAME marctest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(modstest.cpp
    TEST_NAME modstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(referencertest.cpp
    ../translators/referencerimporter.cpp
    TEST_NAME referencertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(ristest.cpp
    ../translators/risimporter.cpp
    ../translators/importer.cpp
    TEST_NAME ristest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(tellicoreadtest.cpp
    ../translators/tellicoxmlexporter.cpp

=== src/translators/CMakeLists.txt ===
########### next target ###############

set(translators_STAT_SRCS
    adsimporter.cpp
    alexandriaexporter.cpp
    alexandriaimporter.cpp
    amcimporter.cpp
    audiofileimporter.cpp
    bibtexexporter.cpp
    bibteximporter.cpp
    bibtexmlexporter.cpp
    bibtexmlimporter.cpp
    boardgamegeekimporter.cpp
    ciwimporter.cpp
    collectorzimporter.cpp
    csvexporter.cpp
    csvimporter.cpp
    csvparser.cpp
    datacrowimporter.cpp
    dataimporter.cpp
    deliciousimporter.cpp
    discogsimporter.cpp
    ebookimporter.cpp
    exporter.cpp
    filelistingimporter.cpp
    filereader.cpp
    filereaderbook.cpp
    filereadervideo.cpp
    freedb_util.cpp
    freedbimporter.cpp
    gcstarexporter.cpp
    gcstarimporter.cpp
    goodreadsimporter.cpp
    griffithimporter.cpp
    grs1importer.cpp
    htmlexporter.cpp
    importer.cpp
    librarythingimporter.cpp
    marcimporter.cpp
    onixexporter.cpp
    pdfimporter.cpp
    referencerimporter.cpp
    risimporter.cpp
    tellico_xml.cpp
    tellicoimporter.cpp
    tellicoxmlexporter.cpp
    tellicoxmlreader.cpp
    tellicozipexporter.cpp
    textimporter.cpp
    vinoxmlimporter.cpp
    xmlstatehandler.cpp
    xmphandler.cpp
    xsltexporter.cpp
    xslthandler.cpp
    xsltimporter.cpp
)

add_library(translators STATIC ${translators_STAT_SRCS})
target_link_libraries(translators
    collections
    tellicomodels
    core
    gui
    images
    utils
    ${TELLICO_BTPARSE_LIBS}
    ${TELLICO_CSV_LIBS}
    rtf2html-tellico
)

target_link_libraries(translators
    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::JobWidgets
    KF${KF_MAJOR_VERSION}::Solid
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBXSLT_EXSLT_LIBRARIES}
)

if(${KCDDB_TARGET_NAME}_FOUND)
    target_link_libraries(translators ${KCDDB_TARGET_NAME})
elseif(Libkcddb_FOUND)
    target_link_libraries(translators KDE::Libkcddb::kcddb)
endif()

if(Poppler_Qt${QT_MAJOR_VERSION}_FOUND)
    target_link_libraries(translators Poppler::Qt${QT_MAJOR_VERSION})
endif()

if(KF${KF_MAJOR_VERSION}FileMetaData_FOUND)
    target_link_libraries(translators KF${KF_MAJOR_VERSION}::FileMetaData)
endif()

if(Exempi_FOUND)
    target_link_libraries(translators ${Exempi_LIBRARIES})
endif()

if(TAGLIB_FOUND)
    target_link_libraries(translators ${TAGLIB_LIBRARIES})
endif()

if(CDIO_FOUND)
    target_link_libraries(translators ${CDIO_LIBRARIES})
endif()

add_dependencies(translators tellico_config)

########### install files ###############

install(FILES bibtex-translation.xml DESTINATION ${TELLICO_DATA_INSTALL_DIR})

=== debian/changelog ===
tellico (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Tweak the salsa CI configuration:
    - re-enable the i386 build, as QtWebEngine is actually present there (doh!)
    - drop all the reprotest options, no more needed
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically, removing pkg-kde-tools
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically, removing dh-python
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 20:10:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: tellico
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-apparmor,
-               dh-python,
+               dh-sequence-kf6,
+               dh-sequence-python3,
                breeze-icon-theme <!nocheck>,
                cmake (>= 3.16~),
                dbus <!nocheck>,
@@ -45,7 +44,6 @@
                libxml2-dev,
                libxslt1-dev,
                libyaz-dev,
-               pkg-kde-tools,
                pkgconf,
                python3:any,
                qt6-base-dev (>= 6.4.0~),
@@ -58,14 +56,13 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://tellico-project.org/
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tellico
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tellico.git
 
 Package: tellico
 Architecture: any
 Depends: tellico-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
 Recommends: kio-extras, tellico-doc,
-Suggests: apparmor
 Description: Collection manager for books, videos, music, etc
  Tellico is a collection manager for KDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with kf6,python3
+	dh $@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -18,9 +18,6 @@
 execute_after_dh_auto_install:
 	# extra copyright notices
 	rm -fv debian/tmp/usr/share/tellico/pics/README.*
-	mkdir -p debian/tmp/etc/apparmor.d
-	cp debian/tellico-apparmor debian/tmp/etc/apparmor.d/usr.bin.tellico
-	dh_apparmor --profile-name=usr.bin.tellico -ptellico
 
 override_dh_python3:
 	dh_python3 -p tellico-data --shebang=/usr/bin/python3 /usr/share/tellico/data-sources

## tellico 4.1.2

=== debian/changelog ===
tellico (4.1.2-0zneon+24.04+noble+release+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 08 Jul 2025 00:20:54 +0000

tellico (4.1.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 10:13:53 +1000

tellico (4.1.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Mar 2025 17:56:05 +1000

tellico (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 11:12:32 +1000

tellico (4.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Wed, 17 May 2023 13:34:21 +0100
